Story # 7185 (Closed): Finalize API Documentation

Clean up documentation on Token Auth approach

2015-06-16 11:35 - Dave Vieglais

Status: Closed Start date: 2015-06-16

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: api_documentation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

During the discussion on 20150615 it was decided that it was premature to add the auth methods to the API. Instead the auth

approach will be documented sufficiently that implementors can successfully authenticate to access services.  

https://epad.dataone.org/pad/p/20150615-V2-Discussion

An important part of this is the documentation associated with the token authentication approach in the architecture docs. This needs

to be finalized and reviewed at the protocol level.

History

#1 - 2015-06-25 17:13 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 30

Modifications have been made to the Authentication documentation page.

#2 - 2015-06-25 22:16 - Ben Leinfelder

http://jenkins-1.dataone.org/jenkins/job/API%20Documentation%20-%20trunk/ws/api-documentation/build/html/design/Authentication.html#authentica

tion-service

#3 - 2015-06-29 22:14 - Ben Leinfelder

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

Cleaned up; let's see what people have to say
